@ECHO OFF

IF [%1]==[/uninstall] (
  SET Uninstall=1
  ECHO Uninstall Synergy broker...
  ) ELSE (
	SET Uninstall=0
  ECHO Install Synergy broker...
)

ECHO Checking system...

for /f "tokens=4-7 delims=[.] " %%i in ('ver') do (
if %%i == Version set OSVersion=%%j
if %%i neq Version set OSVersion=%%i
)
IF EXIST "%ProgramFiles(x86)%\\." (
  ECHO x64 based Windows detected.
  SET coDiagnostiXDir="%~dp0coDiagnostiX.exe"
  ) ELSE (
  ECHO x86 based Windows detected.
  SET coDiagnostiXDir="%~dp0coDiagnostiX.exe"
  )

ECHO.  
ECHO Setup firewall for Synergy...
ECHO.

if %OSVersion% GEQ 6 (
  :: >= Windows Vista 
  ECHO Detected Windows Vista and higher
  ECHO Deleting firewall rule
  netsh advfirewall firewall delete rule name="coDiagnostiX"
  if %Uninstall% NEQ 1 (
    ECHO Adding firewall rule
    netsh advfirewall firewall add rule name="coDiagnostiX" dir=in action=allow program=%coDiagnostiXDir% enable=yes
  )
  
  ) ELSE ( 
  :: <= Windows XP
  ECHO Detected Windows XP
  ECHO Deleting firewall rule
  netsh firewall delete allowedprogram %coDiagnostiXDir%
  if %Uninstall% NEQ 1 (
    ECHO Adding firewall rule
    netsh firewall add allowedprogram %coDiagnostiXDir% "coDiagnostiX" ENABLE
  )
  )

:END
ECHO Setup Done.